# class ActiveLdap::Schema::Syntaxes::PostalAddress

### Private Instance Methods

validate_normalized_value(value, original_value) click to toggle source

    # File lib/active_ldap/schema/syntaxes.rb, line 394
    def validate_normalized_value(value, original_value)
      if value.blank?
        return _("empty string")
      end

      begin
        value.unpack("U*")
      rescue ArgumentError
        return _("%s has invalid UTF-8 character") % original_value.inspect
      end

      nil
    end